* {
	margin: 0;
	padding: 0;
	/*
	
	box-sizing allows us to determine how to calculate the width and height of elements.

	The defeault value of box-sizing is content-box with this, when adding height and width to an element only the content is resized, the border and paddings are added on top of the height and width of the element.

	box-sixing:  content-box;

	When calculating the width of #box1

	2px border-left + 20px paddding left + 100px content-box width + 20px padding-right + 2px border-left = 144px of overall width for the element.

	box-sizing:  border-box;

	When calculating the width of #box1

	2px border-left +20px padding-left +56px content + 20px padding-right + 2px border-right = 100px of overall width for the element.

	border and padding is accounted and added to the total width of the element.

	*/
	box-sizing: border-box;
}

#box1 {
	/*
		Four Parts of the Box Model:

		-Margin - space generated outside of the border.
		-Border - space/line generated between the margin and the padding.
		-Padding - space generated within the element.
		-Content - holds the content of our element.

		Margin and Padding can be applied to the four side of an element seperately

		margin-top:  1px; allows us to add margin ath the top of the element.
		margin-bottom:  1px; allows us to add margin ath the bottom of the element.
		margin-left:  1px; allows us to add margin ath the left side of the element.
		margin-right:  1px; allows us to add margin ath the right side of the element.

		You can also seperately set the paddings of an element per side.

		padding-top, padding-bottom, padding-left, padding-right

	*/
	border: 2px solid black;
/*	padding: 20px;*/
	background-color: red;
	height: 100px;
	width: 100px;
	display: inline;
}

/*
	inline vs block vs inline-block

	Inline elements only occupy space based on the overall size of its content. It will be displayed beside each other and its height and width cannot be resized.

	Inline-block elements will be displayed side-by-side like inline elements and

*/

#span1 {
	border: 2px solid black;
	background-color: yellow;
	height: 100px;
	width: 100px;
	display: inline-block;
}

#box2 {
	border: 2px solid black;
	background-color: orange;
	height: 100px;
	width: 100px;
	display: inline-block;	
}